Description

Parameters use multiple id fields to refer to their associated object. This is not required.

Associated revisions

Revision aa1796f3 - 06/17/2010 02:15 PM - Paul Kelly

Fixes #261 - parameters now use a single reference_id

This implementation uses STI but the table looks the same for all
variants. This is a little strange but it seems to work.

Also removed obsolete controllers and tests
Added more tests

History

#1 - 05/22/2010 07:58 AM - Paul Kelly

- Subject changed from switch parameters to use STl to switch parameters to use a single reference id

#2 - 05/23/2010 08:49 AM - Paul Kelly
- Category set to Rails

- Status changed from New to Assigned

Ohad, | am unclear as to whether | have misunderstood your parameters implementation.
There are host parameters for all hosts for these keys ["hostmode", "hosttype", "longsitename”, "puppetmaster”, "sitename"]. Are these left over from
an experiment or are we migrating to use these as the source of that information. | would also expect some of these to be domainparameters.

#3 - 05/25/2010 08:45 AM - Paul Kelly
- Status changed from Assigned to Feedback

- Branch set to refactor/261-parameters-use-reference_id

Rebased against develop
Tests pass.

#4 - 05/26/2010 10:03 AM - Paul Kelly

Refactored concrete class validations back into the abstract base class.
Removed obsolete controllers and their tests

Fixed some tests so as to always use a concrete class

Tests pass

#5 - 05/30/2010 04:57 PM - Ohad Levy

- Target version set to 0.1-6

#6 - 06/14/2010 12:12 PM - Paul Kelly
Rebased
Fixed bug where hosts were marked :dependent => :destroy. Ouch!

#7 - 06/17/2010 02:18 PM - Paul Kelly

There were issues with the uniqueness constraint that are now fixed.
Added some tests, to be sure.

#8 - 06/18/2010 06:29 AM - Paul Kelly
- Status changed from Feedback to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset aa1796f3efcd11e491ee2e55a91e6ae86529e8ea.

#9 - 06/25/2010 08:19 AM - Ohad Levy
- Status changed from Ready For Testing to Closed

05/11/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/aa1796f3efcd11e491ee2e55a91e6ae86529e8ea
http://www.tcpdf.org

